#pragma once
#include "Entity.h"
void InitNameToEntity();
#ifdef ENTITY_EXPORTS
#define DLLAPI __declspec(dllexport)
#else
#define DLLAPI __declspec(dllimport)
#endif // ENTITY_EXPORTS

extern "C"
{
	DLLAPI void __stdcall GameCreateEntity(const wchar_t* name, std::shared_ptr<Entity>* sp);
	DLLAPI int __stdcall GetEntityCount();
	DLLAPI const wchar_t* __stdcall GetEntityName(int id);
}